﻿@model List<OrnekUygulama.Models.Product>

@*<ul>
    @foreach (var product in Model)
    {
        <li>@product.ProductName</li>
    }
</ul>*@

<h3>ViewBag</h3>
<ul>
    @foreach (var product in ViewBag.products as List<OrnekUygulama.Models.Product>)
    {
        <li>@product.ProductName</li>
    }
</ul>

<h3>ViewData</h3>
<ul>
    @foreach (var product in ViewData["products"] as List<OrnekUygulama.Models.Product>)
    {
        <li>@product.ProductName</li>
    }
</ul>

<h3>TempData</h3>
<ul>
    @foreach (var product in TempData["products"] as List<OrnekUygulama.Models.Product>)
    {
        <li>@product.ProductName</li>
    }
</ul>